Subject: Re: UNC paths in TeX
From: Sam Steingold <[email-masked]>
To: [email-masked]
Date: Mon, 05 Jan 2004 17:46:19 -0500

> * Igor Pechtchanski <[email-masked]> [2004-01-05 16:28:16 -0500]:
>
> On Mon, 5 Jan 2004, Sam Steingold wrote:
>
>> It appears that TeX does not support UNC paths while ls does.
> Which TeX?

tetex-2.0.2-13.

>> This is strange (I expected that to be handled transparently by the dll)
>
> Some applications "optimize" two leading slashes into one slash.  This
> happens before the Cygwin DLL has a chance to see the path.  Issuing
> "mount '\\host\path' /host/path" before the first command below should
> verify whether this guess is correct.

$ mount //host/path/path1/path2 /host/path/path1/path2
mount: warning - /host/path/path1/path2 does not exist.
mount: defaulting to '--no-executable' flag for speed since native path
       references a remote share.  Use '-f' option to override.
mount: /host/path/path1/path2: Permission denied

>> $ TEXINPUTS=//host/path:.: pdflatex gdm.tex
>> ....
>> ! LaTeX Error: File `oubraces.sty' not found.
>> ...
>> $ TEXINPUTS=/cygdrive/x/path:.: pdflatex gdm.tex
>> fine
>> $ ls //host/path
>> total 4
>>    4 oubraces.sty
>> $
>>
>> is this a known bug?
>
> Look in the TeTeX sources (I assume you're running tetex).  I suspect
> this may be a feature that'll need to be disabled in the Cygwin
> version of TeTeX.

is it really a good idea to do on any platform?

>> can I hope for a fix?
>
> Perhaps Jan (the tetex maintainer) has enough familiarity with the
> code to be able to tell offhand how large of an effort this is.

Jan, would you please look at this?
Thanks!

-- 
Sam Steingold (http://www.podval.org/~sds) running w2k
<http://www.camera.org> <http://www.iris.org.il> <http://www.memri.org/>
<http://www.mideasttruth.com/> <http://www.honestreporting.com>
Lisp: it's here to save your butt.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/